Zum Inhalt

Create Item Attributes

Create an Item Attribute object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/itemAttributesWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of itemAttributeWebCon object.

Response

If successful, this method returns 201 Created response code and an Item Attributes object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/itemAttributesWebCon
Content-type: application/json

{
    "attributeId": "15",
    "name": "Style"
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "0b61089d-bb36-ee11-a0d1-db6714625734",
    "attributeId": 15,
    "name": "Style",
    "unitOfMeasure": ""
}

See also

Tips for working with the APIs
Item Attribute
Get Item Attribute